/**
 * Created by kevinries on 27.06.16.
 */

var expect = require('chai').expect;
var F3 = require('../index');
var http = require('http');


describe('F3 Initialisation-Test',function () {

    describe('F3 Initialisation-Test',function () {
        var f3Instance = null;
        it('Initialisierung',function (done) {
            f3Instance = new F3();
            expect(f3Instance).to.be.an.instanceOf(F3);
            done();
        });
    });
    describe('F3 Middleware Test',function () {
        var f3Instance = null;
        it('Initialisierung',function (done) {
            f3Instance = new F3();
            f3Instance.use(function () {
                var server = http.createServer(function(request, response) {
                    // magic happens here!
                });
                server.listen(3001,function () {
                    console.log('listen on 3001');
                });
            });
            f3Instance.use(function () {
                var server = http.createServer(function(request, response) {
                    // magic happens here!
                });
                server.listen(3002,function () {
                    console.log('listen on 3002');
                });
            });
            f3Instance.start();
            done();
        });

    });
});