/**
 * Created by kevinries on 05.07.16.
 */

var classifyRE = /(?:^|[-_\/])(\w)/g
module.exports.classify = function (str) {
        return str.replace(classifyRE, toUpper)
}

module.exports.hasOwn = function (obj, key) {
        return hasOwnProperty.call(obj, key)
}

module.exports.bind = function(fn, ctx) {
        return function (a) {
                var l = arguments.length
                return l
                    ? l > 1
                    ? fn.apply(ctx, arguments)
                    : fn.call(ctx, a)
                    : fn.call(ctx)
        }
}

var hyphenateRE = /([^-])([A-Z])/g
module.exports.hyphenate = (str) => {
        return str
            .replace(hyphenateRE, '$1-$2')
            .replace(hyphenateRE, '$1-$2')
            .toLowerCase()
}

var toString = Object.prototype.toString
var OBJECT_STRING = '[object Object]'
module.exports.isPlainObject = (obj) => {
        return toString.call(obj) === OBJECT_STRING
}

var camelizeRE = /-(\w)/g
module.exports.camelize = (str) => {
        return str.replace(camelizeRE, toUpper)
}

function toUpper (_, c) {
        return c ? c.toUpperCase() : ''
}