/**
 * Created by kevinries on 29.06.16.
 */
let http = require('http');
var co = require('./co');

module.exports = function (F3, op) {

    var middleware = [];

    var server = null;
    if(op.useHttps){

    }else{
        server = http.createServer(callback());

    }
    server.listen(op.port,() => {
        console.warn('HTTP listening on Port ' +op.port);
    });

    F3.http = {
        use:(fn) => {
            middleware.push(fn);
        }
    }


    function callback() {
        var fn = co.wrap(compose(middleware));
        return (request,response) => {
           fn.call(request);
        }
    }

    function compose(middleware){
        return function *(next){
            if (!next) next = noop();

            var i = middleware.length;

            while (i--) {
                next = middleware[i].call(this, next);
            }

            return yield *next;
        }
    }

    function noop() {}
}
